Bug 1302384 - unable to set preferences for gedit as root
unable to set preferences for gedit as root
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gedit (Show other bugs)
7.1
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 11:46 EST by Jim
Modified: 2017-01-09 10:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 985602
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim 2016-01-27 11:46:39 EST
+++ This bug was initially created as a clone of Bug #985602 +++

Description of problem:
When opening gedit as normal user, the preferences menu item 
is included in the drop down menu on the Gnome top panel.  

However, if gedit is opened as root, no drop down menu appears 
when clicking on the gedit icon located on the Gnome top panel.

Version-Release number of selected component (if applicable):
gnome-shell-3.8.3-3.fc19.x86_64
gedit-3.8.3-1.fc19.x86_64

How reproducible:
every time

Steps to Reproduce:
1. open gedit as root user
2. click on gedit icon in top panel

Actual results:
no drop down menu appears

Expected results:
drop down menu opens, so gedit preferences can be changed

Additional info:

--- Additional comment from Gene Czarcinski on 2013-08-14 15:23:19 EDT ---

seems to be a lot of little "gotchas" with gnome3 and Fedora 19 ... is anyone reporting these upstream so that maybe someone will actuallly look at them and maybe fix them??

--- Additional comment from Martin on 2013-12-03 12:34:32 EST ---

Hi there!
Hope this thread isn't dead...

I have exactly the same problems.

Fedora 19: 3.11.9-200.fc19.x86_64
GNOME Shell: 3.8.4-2.fc19.x86_64
Gedit: 3.8.3-1.fc19.x86_64


1)With no special wright
Acces to all my plugins (texte coloration/backscreen color etc...) But impossible to save as root.

2)Using root privileges with administrator account
"$ sudo gedit"
That give no access to the drop down menu from top panel. No plugins available in this mode.

3)Connect as root
After connect as root with "su"
"# gedit"
That give me access to the drop down menu (Preferences / Quit). Stil no plugins available with this mode.

So that's just a comment to say u'r not alone :)

And i'll be happy to be able to use gedit as my new Text editor for codes. Everywhere in my HD. ;)

Martus

--- Additional comment from Fedora End Of Life on 2015-01-09 13:58:39 EST ---

This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-02-17 11:13:07 EST ---

Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.